org.eclipse.jetty.rewrite.handler

## Class ResponsePatternRule

- java.lang.Object
- - org.eclipse.jetty.rewrite.handler.Rule
  - - org.eclipse.jetty.rewrite.handler.PatternRule
    - - org.eclipse.jetty.rewrite.handler.ResponsePatternRule

    public class ResponsePatternRule
    extends PatternRule

Sends the response code whenever the rule finds a match.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.rewrite.handler.Rule

`Rule.ApplyURI`

### Field Summary

### Fields inherited from class org.eclipse.jetty.rewrite.handler.PatternRule

`_pattern`

### Fields inherited from class org.eclipse.jetty.rewrite.handler.Rule

`_handling, _terminating`

### Constructor Summary

Constructors
Constructor and Description
`ResponsePatternRule()`

### Method Summary

Methods
`String` `apply(String target, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Apply the rule to the request
`void` `setCode(String code)` Sets the response status code.
`void` `setReason(String reason)` Sets the reason for the response status code.
`String` `toString()` Returns the code and reason string.

### Methods inherited from class org.eclipse.jetty.rewrite.handler.PatternRule

`getPattern, matchAndApply, setPattern`

### Methods inherited from class org.eclipse.jetty.rewrite.handler.Rule

`isHandling, isTerminating, setHandling, setTerminating`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResponsePatternRule

    public ResponsePatternRule()

### Method Detail

#### setCode

    public void setCode(String code)

Sets the response status code.

Parameters:
  `code` - response code

#### setReason

    public void setReason(String reason)

Sets the reason for the response status code. Reasons will only reflect if the code value is greater or equal to 400.

Parameters:
  `reason` -

#### apply

    public String apply(String target,
               javax.servlet.http.HttpServletRequest request,
               javax.servlet.http.HttpServletResponse response)
                 throws IOException

Description copied from class: `PatternRule`
Apply the rule to the request

Specified by:
  `apply` in class `PatternRule`
Parameters:
  `target` - field to attempt match
  `request` - request object
  `response` - response object
Returns:
  The target (possible updated)
Throws:
  `IOException` - exceptions dealing with operating on request or response objects

#### toString

    public String toString()

Returns the code and reason string.

Overrides:
  `toString` in class `PatternRule`